Table of Contents

Class: Hash | Twisted-0.19.0/twisted/python/observable.py
--- | ---
Base Classes |
--- | ---
Observable
Methods |
--- | ---
__delitem__ __getitem__ __init__ __len__ __repr__ __setitem__ addObserver | has_key items keys tell update values
| __delitem__
    __delitem__ ( self,  key )
| __getitem__
    __getitem__ ( self,  key )
| __init__
    __init__ ( self,  properties=None )
| __len__
    __len__ ( self )
| __repr__
    __repr__ ( self )
| __setitem__
    __setitem__ (
            self,
            key,
            val,
            )
| addObserver
    addObserver ( self,  observer )
| has_key
    has_key ( self,  key )
| items
    items ( self )
| keys
    keys ( self )
| tell
    tell (
            self,
            observer,
            targs,
            )
| update
    update ( self,  dict )
| values
    values ( self )

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:11 2002 by HappyDoc version 2.0